Appearance
Create Study
POST
/studies
Authorizations
HTTPBearer
Use your API token
Type
HTTP (bearer)
Request Body
application/json
JSON
{
"description": "Example description for demonstration purposes",
"projectId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"createdAt": "2026-01-08T12:00:00Z",
"bookmarked": true,
"language": "Example language",
"audiences": [
"string"
],
"problems": [
"string"
],
"files": [
"string"
],
"progress": {
"total": 42,
"completed": 42,
"failed": 42
},
"status": "string",
"solutionId": "d6e7f8g9-0a1b-4c2d-9e3f-5b6c7d8e9f0a",
"researchGoalId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"knowledgeGraphs": [
"string"
],
"strategy": "string",
"interviewCount": 0,
"interviews": [
"string"
]
}
Responses
Successful Response
application/json
id
string
Required
Format
"uuid"description
string |null
Required
projectId
string
Required
Format
"uuid"createdAt
string
Required
Format
"date-time"bookmarked
boolean
Required
language
string
Required
audiences
string[]
Required
audiencesObj
object[]
Required
problems
string[]
Required
problemsObj
object[]
Required
files
string[]
Required
planId
string |null
Required
progress
object |null
status
string
Required
solutionId
string |null
solution
object |null
researchGoalId
string |null
researchGoal
object |null
knowledgeGraphs
string[]
strategy
string
Required
Valid values
"solution_feedback""problem_exploration""custom_script""dynamic_interview""ethnographic_research""concept_study"interviewCount
integer |null
interviews
string[]
Required
summaries
string[]
Required